Bug 740799 - Review Request: jboss-jad-1.2-api - JavaEE Application Deployment 1.2 API
Summary: Review Request: jboss-jad-1.2-api - JavaEE Application Deployment 1.2 API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Grimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 726351 727152
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 11:52 UTC by Marek Goldmann
Modified: 2016-11-08 03:45 UTC (History)
6 users (show)

Fixed In Version: jboss-jad-1.2-api-1.0.1-0.1.20120309git3c3e7a.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 18:48:01 UTC
agrimm: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Marek Goldmann 2011-09-23 12:22:31 UTC
Richard, FYI: https://issues.jboss.org/browse/JBEE-90

Comment 3 Marek Goldmann 2012-03-07 09:22:48 UTC
License cleanup pull request: https://github.com/jboss/jboss-jad-api_spec/pull/2

Comment 5 Richard Fontana 2012-03-10 03:25:04 UTC
Lifting FE-Legal.

Comment 6 Andy Grimm 2012-03-11 23:06:33 UTC
=== REQUIRED ITEMS ===
[!]  Rpmlint output:
jboss-jad-1.2-api.noarch: W: non-standard-group Development/Java
jboss-jad-1.2-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-jad-1.2-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-jad-1.2-api-1.0.1/LICENSE
jboss-jad-1.2-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jboss-jad-1.2-api-javadoc.noarch: W: non-standard-group Development/Java
jboss-jad-1.2-api-javadoc.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-jad-1.2-api-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-jad-1.2-api-javadoc-1.0.1/LICENSE
2 packages and 0 specfiles checked; 2 errors, 5 warnings


[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: CDDL or GPLv2 with exceptions
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3881745

=== Issues ===
1. Please fix the Group tags. (Development/Java makes sense to me, but Development/Libraries seems to be what we've standardized on.)
2. Please encourage upstream to fix the FSF address

=== Final Notes ===
1.  Since the README file contains license information, I wonder if it should be included in the javadoc subpackage as well.

I don't see any of the above notes as a reason for blocking approval.

================
*** APPROVED ***
================

Comment 7 Andy Grimm 2012-03-11 23:07:12 UTC
Oops, wrong flag change. sorry!

Comment 8 Marek Goldmann 2012-03-12 07:59:18 UTC
Thanks for approving it! I'm not sure how the wrong Group made it into this spec file, heh. I contacted upstream regarding the FSF address.

IIRC only LICENSE files must be put in subpackages. On the other hand content of this file is pretty much license information, so I'll include it at the time of import.

New Package SCM Request
=======================
Package Name:      jboss-jad-1.2-api
Short Description: JavaEE Application Deployment 1.2 API
Owners:            goldmann
Branches:          f17

Comment 9 Gwyn Ciesla 2012-03-12 12:05:34 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-03-12 13:58:58 UTC
jboss-jad-1.2-api-1.0.1-0.1.20120309git3c3e7a.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-jad-1.2-api-1.0.1-0.1.20120309git3c3e7a.fc17

Comment 11 Fedora Update System 2012-03-16 19:04:55 UTC
jboss-jad-1.2-api-1.0.1-0.1.20120309git3c3e7a.fc17 has been pushed to the Fedora 17 testing repository.

Comment 12 Fedora Update System 2012-03-21 18:48:01 UTC
jboss-jad-1.2-api-1.0.1-0.1.20120309git3c3e7a.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.